Installer - Bug #34774

OS upgrade keeps original TFTP setup preventing machines to boot from the network
04/14/2022 02:10 PM - Evgeni Golov

Status: Closed

Priority: Normal
Assignee: Evgeni Golov
Category: Foreman modules

Target version:

Difficulty: Fixed in Releases: 3.3.0
Triaged: No Found in Releases:
Bugzilla link: 2075528 Red Hat JIRA:

Pull request: https://github.com/theforeman/puppet-for

eman_proxy/pull/738

Description
Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=2075528

Description of problem:

When doing the upgrade through leapp, the installer is ran at the end. However it contains the old answers in the answerfile for the
tftp files from syslinux. On EL8, additional files are required.

Version-Release number of selected component (if applicable):
6.11

How reproducible:

100%

Steps to Reproduce:

1. perform the upgrade through leapp

2. let some machine provisioned from satellite boot from the network
Actual results:

observe it complains about missing Idlinux.c32

Expected results:

boots just fine

Additional info:

the answer file contains the list of tftp files determined for EL7, it needs to be reset

Associated revisions

Revision 258e36¢1 - 04/19/2022 05:51 AM - Evgeni Golov
Fixes #34774 - don't expose tftp syslinux files directly

advanced users who might want to change this, can override this by
setting “foreman_proxy::globals::tftp_syslinux_filenames™ in hiera

History

#1 - 04/14/2022 02:10 PM - Evgeni Golov

- Subject changed from OS upgrade keeps original TFTP setup preventing machines to boot from the network
to OS upgrade keeps original TFTP setup preventing machines to boot from the network

- Category set to Foreman modules
https://bugzilla.redhat.com/show_bug.cgi?id=2075528

#2 - 04/14/2022 02:14 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Evgeni Golov

- Pull request https://github.com/theforeman/puppet-foreman_proxy/pull/738 added

#3 - 04/19/2022 05:51 AM - The Foreman Bot
- Fixed in Releases 3.3.0 added

#4 - 04/19/2022 06:00 AM - Evgeni Golov
- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman_proxy|258e36¢c1aed6988f76a5d263e231228c658082b5.
